gslinterpolation_lib = static_library('gslinterpolation',
	[
		'accel.c',
		'akima.c',
		'cspline.c',
		'interp.c',
		'linear.c',
		'integ_eval.h',
		'spline.c',
		'poly.c',
		'steffen.c',
		'inline.c',
		'interp2d.c',
		'bilinear.c',
		'bicubic.c',
		'spline2d.c'
	],
	include_directories : '..'
)
gslinterpolation_dep = declare_dependency(link_with : gslinterpolation_lib)


gsl_tests += [ [ 'GSL Interpolation Test', files('test.c') ] ]
